/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __CG_STORAGE_MULTI_ISOLATED_SKEL_H__
#define __CG_STORAGE_MULTI_ISOLATED_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct cg_storage_multi_isolated {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *cgroup_storage;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *egress1;
		struct bpf_program *egress2;
		struct bpf_program *ingress;
	} progs;
	struct {
		struct bpf_link *egress1;
		struct bpf_link *egress2;
		struct bpf_link *ingress;
	} links;
	struct cg_storage_multi_isolated__bss {
		__u32 invocations;
	} *bss;
};

static void
cg_storage_multi_isolated__destroy(struct cg_storage_multi_isolated *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
cg_storage_multi_isolated__create_skeleton(struct cg_storage_multi_isolated *obj);

static inline struct cg_storage_multi_isolated *
cg_storage_multi_isolated__open_opts(const struct bpf_object_open_opts *opts)
{
	struct cg_storage_multi_isolated *obj;

	obj = (struct cg_storage_multi_isolated *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (cg_storage_multi_isolated__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	cg_storage_multi_isolated__destroy(obj);
	return NULL;
}

static inline struct cg_storage_multi_isolated *
cg_storage_multi_isolated__open(void)
{
	return cg_storage_multi_isolated__open_opts(NULL);
}

static inline int
cg_storage_multi_isolated__load(struct cg_storage_multi_isolated *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct cg_storage_multi_isolated *
cg_storage_multi_isolated__open_and_load(void)
{
	struct cg_storage_multi_isolated *obj;

	obj = cg_storage_multi_isolated__open();
	if (!obj)
		return NULL;
	if (cg_storage_multi_isolated__load(obj)) {
		cg_storage_multi_isolated__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
cg_storage_multi_isolated__attach(struct cg_storage_multi_isolated *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
cg_storage_multi_isolated__detach(struct cg_storage_multi_isolated *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
cg_storage_multi_isolated__create_skeleton(struct cg_storage_multi_isolated *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "cg_storage_multi_isolated";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "cgroup_storage";
	s->maps[0].map = &obj->maps.cgroup_storage;

	s->maps[1].name = "cg_stora.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "egress1";
	s->progs[0].prog = &obj->progs.egress1;
	s->progs[0].link = &obj->links.egress1;

	s->progs[1].name = "egress2";
	s->progs[1].prog = &obj->progs.egress2;
	s->progs[1].link = &obj->links.egress2;

	s->progs[2].name = "ingress";
	s->progs[2].prog = &obj->progs.ingress;
	s->progs[2].link = &obj->links.ingress;

	s->data_sz = 9288;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x48\x1d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1c\0\
\x01\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x51\0\
\0\0\xb4\x01\0\0\x01\0\0\0\xc3\x10\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb4\x02\0\0\x01\0\0\0\xc3\x21\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x51\0\
\0\0\xb4\x01\0\0\x01\0\0\0\xc3\x10\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb4\x02\0\0\x01\0\0\0\xc3\x21\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x51\0\
\0\0\xb4\x01\0\0\x01\0\0\0\xc3\x10\x04\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb4\x02\0\0\x01\0\0\0\xc3\x21\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\
\xff\xff\xff\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x01\0\x50\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x58\0\0\0\0\
\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\
\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\x17\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\
\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x04\
\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x05\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x06\
\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x07\x0f\0\x49\x13\0\0\x08\
\x01\x01\x49\x13\0\0\x09\x21\0\x49\x13\x37\x0b\0\0\x0a\x24\0\x03\x0e\x0b\x0b\
\x3e\x0b\0\0\x0b\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0c\x34\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x05\0\0\x0d\x15\x01\x49\x13\x27\x19\0\0\x0e\x05\0\x49\x13\
\0\0\x0f\x0f\0\0\0\x10\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\
\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x11\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\
\x13\0\0\x12\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x13\x13\x01\x03\
\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x14\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\
\x0b\0\0\x15\x0d\0\x49\x13\x3a\x0b\x3b\x05\x88\x01\x0f\x38\x0b\0\0\x16\x17\x01\
\x0b\x0b\x3a\x0b\x3b\x05\x88\x01\x0f\0\0\x17\x0d\0\x49\x13\x3a\x0b\x3b\x05\x38\
\x0b\0\0\x18\x17\x01\x0b\x0b\x3a\x0b\x3b\x05\0\0\x19\x13\x01\x0b\x0b\x3a\x0b\
\x3b\x05\0\0\0\xc6\x05\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x45\0\0\0\0\0\0\
\0\x67\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xcb\0\0\0\x3f\0\0\0\x02\x15\x09\x03\0\
\0\0\0\0\0\0\0\x03\x4a\0\0\0\xe4\0\0\0\x01\x1b\x04\xd7\0\0\0\x07\x04\x02\xea\0\
\0\0\x66\0\0\0\x02\x13\x09\x03\0\0\0\0\0\0\0\0\x05\x18\x02\x0f\x06\xf9\0\0\0\
\x8f\0\0\0\x02\x10\0\x06\x16\x01\0\0\xae\0\0\0\x02\x11\x08\x06\x6a\x01\0\0\xe6\
\0\0\0\x02\x12\x10\0\x07\x94\0\0\0\x08\xa0\0\0\0\x09\xa7\0\0\0\x13\0\x04\xfe\0\
\0\0\x05\x04\x0a\x02\x01\0\0\x08\x07\x07\xb3\0\0\0\x0b\x53\x01\0\0\x10\x03\x4f\
\x06\x1a\x01\0\0\xd4\0\0\0\x03\x50\0\x06\x47\x01\0\0\x3f\0\0\0\x03\x51\x08\0\
\x03\xdf\0\0\0\x41\x01\0\0\x01\x1f\x04\x2a\x01\0\0\x07\x08\x07\xeb\0\0\0\x0b\
\x89\x01\0\0\x08\x04\x08\x06\x70\x01\0\0\x3f\0\0\0\x04\x09\0\x06\x7c\x01\0\0\
\x3f\0\0\0\x04\x0a\x04\0\x0c\x96\x01\0\0\x18\x01\0\0\x05\x19\x08\x07\x1d\x01\0\
\0\x0d\x2d\x01\0\0\x0e\x2d\x01\0\0\x0e\xd4\0\0\0\0\x0f\x10\0\0\0\0\0\0\0\0\x60\
\0\0\0\x01\x5a\xac\x01\0\0\x02\x18\xa0\0\0\0\x11\xc4\x01\0\0\x02\x18\xca\x01\0\
\0\x12\0\0\0\0\x21\x04\0\0\x02\x1a\xe6\0\0\0\0\x10\0\0\0\0\0\0\0\0\x60\0\0\0\
\x01\x5a\xb4\x01\0\0\x02\x24\xa0\0\0\0\x11\xc4\x01\0\0\x02\x24\xca\x01\0\0\x12\
\x33\0\0\0\x21\x04\0\0\x02\x26\xe6\0\0\0\0\x10\0\0\0\0\0\0\0\0\x60\0\0\0\x01\
\x5a\xbc\x01\0\0\x02\x30\xa0\0\0\0\x11\xc4\x01\0\0\x02\x30\xca\x01\0\0\x12\x66\
\0\0\0\x21\x04\0\0\x02\x32\xe6\0\0\0\0\x07\xcf\x01\0\0\x13\x17\x04\0\0\xb8\x03\
\x8b\x0e\x14\xc8\x01\0\0\x3f\0\0\0\x03\x8c\x0e\0\x14\xcc\x01\0\0\x3f\0\0\0\x03\
\x8d\x0e\x04\x14\xd5\x01\0\0\x3f\0\0\0\x03\x8e\x0e\x08\x14\xda\x01\0\0\x3f\0\0\
\0\x03\x8f\x0e\x0c\x14\xe8\x01\0\0\x3f\0\0\0\x03\x90\x0e\x10\x14\xf1\x01\0\0\
\x3f\0\0\0\x03\x91\x0e\x14\x14\xfe\x01\0\0\x3f\0\0\0\x03\x92\x0e\x18\x14\x07\
\x02\0\0\x3f\0\0\0\x03\x93\x0e\x1c\x14\x12\x02\0\0\x3f\0\0\0\x03\x94\x0e\x20\
\x14\x1b\x02\0\0\x3f\0\0\0\x03\x95\x0e\x24\x14\x2b\x02\0\0\x3f\0\0\0\x03\x96\
\x0e\x28\x14\x33\x02\0\0\x3f\0\0\0\x03\x97\x0e\x2c\x14\x3c\x02\0\0\x9b\x03\0\0\
\x03\x98\x0e\x30\x14\x3f\x02\0\0\x3f\0\0\0\x03\x99\x0e\x44\x14\x44\x02\0\0\x3f\
\0\0\0\x03\x9a\x0e\x48\x14\x4f\x02\0\0\x3f\0\0\0\x03\x9b\x0e\x4c\x14\x54\x02\0\
\0\x3f\0\0\0\x03\x9c\x0e\x50\x14\x5d\x02\0\0\x3f\0\0\0\x03\x9d\x0e\x54\x14\x65\
\x02\0\0\x3f\0\0\0\x03\xa0\x0e\x58\x14\x6c\x02\0\0\x3f\0\0\0\x03\xa1\x0e\x5c\
\x14\x77\x02\0\0\x3f\0\0\0\x03\xa2\x0e\x60\x14\x81\x02\0\0\xa7\x03\0\0\x03\xa3\
\x0e\x64\x14\x8c\x02\0\0\xa7\x03\0\0\x03\xa4\x0e\x74\x14\x96\x02\0\0\x3f\0\0\0\
\x03\xa5\x0e\x84\x14\xa2\x02\0\0\x3f\0\0\0\x03\xa6\x0e\x88\x14\xad\x02\0\0\x3f\
\0\0\0\x03\xa9\x0e\x8c\x15\x34\x03\0\0\x03\xaa\x0e\x08\x90\x16\x08\x03\xaa\x0e\
\x08\x14\xb7\x02\0\0\xb3\x03\0\0\x03\xaa\x0e\0\0\x14\x8d\x03\0\0\xd4\0\0\0\x03\
\xab\x0e\x98\x14\x94\x03\0\0\x3f\0\0\0\x03\xac\x0e\xa0\x14\x9d\x03\0\0\x3f\0\0\
\0\x03\xad\x0e\xa4\x15\x79\x03\0\0\x03\xae\x0e\x08\xa8\x16\x08\x03\xae\x0e\x08\
\x14\xa6\x03\0\0\xf9\x04\0\0\x03\xae\x0e\0\0\x14\x0e\x04\0\0\x3f\0\0\0\x03\xaf\
\x0e\xb0\0\x08\x3f\0\0\0\x09\xa7\0\0\0\x05\0\x08\x3f\0\0\0\x09\xa7\0\0\0\x04\0\
\x07\xb8\x03\0\0\x13\x7f\x03\0\0\x38\x03\x14\x11\x14\xc1\x02\0\0\xbf\x04\0\0\
\x03\x15\x11\0\x14\xdc\x02\0\0\xbf\x04\0\0\x03\x16\x11\x02\x14\xe2\x02\0\0\xbf\
\x04\0\0\x03\x17\x11\x04\x14\xed\x02\0\0\xd1\x04\0\0\x03\x18\x11\x06\x14\x08\
\x03\0\0\xd1\x04\0\0\x03\x19\x11\x07\x14\x16\x03\0\0\xd1\x04\0\0\x03\x1a\x11\
\x08\x14\x1f\x03\0\0\xd1\x04\0\0\x03\x1b\x11\x09\x14\x28\x03\0\0\xe3\x04\0\0\
\x03\x1c\x11\x0a\x14\x37\x03\0\0\xe3\x04\0\0\x03\x1d\x11\x0c\x14\x3d\x03\0\0\
\xe3\x04\0\0\x03\x1e\x11\x0e\x17\x4c\x04\0\0\x03\x1f\x11\x10\x18\x20\x03\x1f\
\x11\x17\x5a\x04\0\0\x03\x20\x11\0\x19\x08\x03\x20\x11\x14\x43\x03\0\0\xee\x04\
\0\0\x03\x21\x11\0\x14\x53\x03\0\0\xee\x04\0\0\x03\x22\x11\x04\0\x17\x83\x04\0\
\0\x03\x24\x11\0\x19\x20\x03\x24\x11\x14\x5c\x03\0\0\xa7\x03\0\0\x03\x25\x11\0\
\x14\x65\x03\0\0\xa7\x03\0\0\x03\x26\x11\x10\0\0\x14\x6e\x03\0\0\x3f\0\0\0\x03\
\x29\x11\x30\x14\x74\x03\0\0\xee\x04\0\0\x03\x2a\x11\x34\0\x03\xca\x04\0\0\xd6\
\x02\0\0\x01\x18\x04\xc7\x02\0\0\x07\x02\x03\xdc\x04\0\0\x03\x03\0\0\x01\x15\
\x04\xf5\x02\0\0\x08\x01\x03\xbf\x04\0\0\x30\x03\0\0\x06\x0a\x03\x3f\0\0\0\x4c\
\x03\0\0\x06\x0c\x07\xfe\x04\0\0\x13\x05\x04\0\0\x50\x03\xe4\x0e\x14\xa9\x03\0\
\0\x3f\0\0\0\x03\xe5\x0e\0\x14\x65\x02\0\0\x3f\0\0\0\x03\xe6\x0e\x04\x14\xf9\0\
\0\0\x3f\0\0\0\x03\xe7\x0e\x08\x14\xe8\x01\0\0\x3f\0\0\0\x03\xe8\x0e\x0c\x14\
\xd5\x01\0\0\x3f\0\0\0\x03\xe9\x0e\x10\x14\x12\x02\0\0\x3f\0\0\0\x03\xea\x0e\
\x14\x14\xb6\x03\0\0\x3f\0\0\0\x03\xec\x0e\x18\x14\xbe\x03\0\0\xa7\x03\0\0\x03\
\xed\x0e\x1c\x14\xc6\x03\0\0\x3f\0\0\0\x03\xee\x0e\x2c\x14\xcf\x03\0\0\x3f\0\0\
\0\x03\xef\x0e\x30\x14\xd8\x03\0\0\x3f\0\0\0\x03\xf0\x0e\x34\x14\xe0\x03\0\0\
\xa7\x03\0\0\x03\xf1\x0e\x38\x14\xe8\x03\0\0\x3f\0\0\0\x03\xf2\x0e\x48\x14\xee\
\x03\0\0\xbe\x05\0\0\x03\xf3\x0e\x4c\0\x03\xa0\0\0\0\xff\x03\0\0\x01\x1a\0\0\0\
\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\
\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x31\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\
\x20\x48\x61\x74\x20\x31\x31\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\
\x65\x2b\x65\x6c\x38\x2e\x34\x2e\x30\x2b\x38\x35\x39\x38\x2b\x61\x30\x37\x31\
\x66\x63\x64\x35\x29\0\x70\x72\x6f\x67\x73\x2f\x63\x67\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x69\x73\x6f\x6c\x61\x74\x65\x64\x2e\x63\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\
\x35\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x33\x30\x35\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\0\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x74\x79\x70\x65\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6b\
\x65\x79\0\x63\x67\x72\x6f\x75\x70\x5f\x69\x6e\x6f\x64\x65\x5f\x69\x64\0\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x61\x74\x74\x61\x63\x68\x5f\x74\x79\x70\x65\0\
\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\
\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x65\x67\x72\x65\x73\x73\x5f\x70\x6b\x74\
\x73\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x70\x6b\x74\x73\0\x63\x67\x72\x6f\x75\
\x70\x5f\x76\x61\x6c\x75\x65\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x6c\x6f\x63\x61\
\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x65\x67\x72\x65\x73\x73\x31\0\x65\x67\
\x72\x65\x73\x73\x32\0\x69\x6e\x67\x72\x65\x73\x73\0\x73\x6b\x62\0\x6c\x65\x6e\
\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\
\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\
\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\
\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\
\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\
\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\
\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\
\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\
\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\
\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\
\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x6e\x68\x6f\x66\x66\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\
\x6f\x72\x74\0\x5f\x5f\x75\x31\x36\0\x74\x68\x6f\x66\x66\0\x61\x64\x64\x72\x5f\
\x70\x72\x6f\x74\x6f\0\x69\x73\x5f\x66\x72\x61\x67\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x75\x38\0\x69\x73\x5f\x66\x69\x72\x73\
\x74\x5f\x66\x72\x61\x67\0\x69\x73\x5f\x65\x6e\x63\x61\x70\0\x69\x70\x5f\x70\
\x72\x6f\x74\x6f\0\x6e\x5f\x70\x72\x6f\x74\x6f\0\x5f\x5f\x62\x65\x31\x36\0\x73\
\x70\x6f\x72\x74\0\x64\x70\x6f\x72\x74\0\x69\x70\x76\x34\x5f\x73\x72\x63\0\x5f\
\x5f\x62\x65\x33\x32\0\x69\x70\x76\x34\x5f\x64\x73\x74\0\x69\x70\x76\x36\x5f\
\x73\x72\x63\0\x69\x70\x76\x36\x5f\x64\x73\x74\0\x66\x6c\x61\x67\x73\0\x66\x6c\
\x6f\x77\x5f\x6c\x61\x62\x65\x6c\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\
\x6f\x5f\x73\x65\x67\x73\0\x73\x6b\0\x62\x6f\x75\x6e\x64\x5f\x64\x65\x76\x5f\
\x69\x66\0\x73\x72\x63\x5f\x69\x70\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\x72\
\x63\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\
\x69\x70\x34\0\x64\x73\x74\x5f\x69\x70\x36\0\x73\x74\x61\x74\x65\0\x72\x78\x5f\
\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x5f\x5f\x73\x33\x32\0\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x5f\x5f\
\x73\x6b\x5f\x62\x75\x66\x66\0\x70\x74\x72\x5f\x63\x67\x5f\x73\x74\x6f\x72\x61\
\x67\x65\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xe4\x03\0\0\xe4\x03\0\0\xc4\x03\0\0\
\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x13\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\0\0\0\x02\0\0\x04\x10\0\0\0\x30\0\0\
\0\x07\0\0\0\0\0\0\0\x40\0\0\0\x09\0\0\0\x40\0\0\0\x4c\0\0\0\0\0\0\x08\x08\0\0\
\0\x52\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x69\0\0\0\0\0\0\x08\x0a\0\0\0\x6f\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\x7c\0\0\0\x02\0\
\0\x04\x08\0\0\0\x89\0\0\0\x09\0\0\0\0\0\0\0\x95\0\0\0\x09\0\0\0\x20\0\0\0\0\0\
\0\0\x03\0\0\x04\x18\0\0\0\xa2\0\0\0\x01\0\0\0\0\0\0\0\xa7\0\0\0\x05\0\0\0\x40\
\0\0\0\xab\0\0\0\x0b\0\0\0\x80\0\0\0\xb1\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\x02\x10\0\0\0\xc0\0\0\0\x20\0\0\x04\xb8\0\0\0\xca\0\0\0\x09\0\0\0\
\0\0\0\0\xce\0\0\0\x09\0\0\0\x20\0\0\0\xd7\0\0\0\x09\0\0\0\x40\0\0\0\xdc\0\0\0\
\x09\0\0\0\x60\0\0\0\xea\0\0\0\x09\0\0\0\x80\0\0\0\xf3\0\0\0\x09\0\0\0\xa0\0\0\
\0\0\x01\0\0\x09\0\0\0\xc0\0\0\0\x09\x01\0\0\x09\0\0\0\xe0\0\0\0\x14\x01\0\0\
\x09\0\0\0\0\x01\0\0\x1d\x01\0\0\x09\0\0\0\x20\x01\0\0\x2d\x01\0\0\x09\0\0\0\
\x40\x01\0\0\x35\x01\0\0\x09\0\0\0\x60\x01\0\0\x3e\x01\0\0\x11\0\0\0\x80\x01\0\
\0\x41\x01\0\0\x09\0\0\0\x20\x02\0\0\x46\x01\0\0\x09\0\0\0\x40\x02\0\0\x51\x01\
\0\0\x09\0\0\0\x60\x02\0\0\x56\x01\0\0\x09\0\0\0\x80\x02\0\0\x5f\x01\0\0\x09\0\
\0\0\xa0\x02\0\0\x67\x01\0\0\x09\0\0\0\xc0\x02\0\0\x6e\x01\0\0\x09\0\0\0\xe0\
\x02\0\0\x79\x01\0\0\x09\0\0\0\0\x03\0\0\x83\x01\0\0\x12\0\0\0\x20\x03\0\0\x8e\
\x01\0\0\x12\0\0\0\xa0\x03\0\0\x98\x01\0\0\x09\0\0\0\x20\x04\0\0\xa4\x01\0\0\
\x09\0\0\0\x40\x04\0\0\xaf\x01\0\0\x09\0\0\0\x60\x04\0\0\0\0\0\0\x13\0\0\0\x80\
\x04\0\0\xb9\x01\0\0\x07\0\0\0\xc0\x04\0\0\xc0\x01\0\0\x09\0\0\0\0\x05\0\0\xc9\
\x01\0\0\x09\0\0\0\x20\x05\0\0\0\0\0\0\x15\0\0\0\x40\x05\0\0\xd2\x01\0\0\x09\0\
\0\0\x80\x05\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\
\0\xdb\x01\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x20\0\0\0\0\0\0\0\x01\0\0\
\x05\x08\0\0\0\xe5\x01\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x21\0\0\0\0\0\0\
\0\x01\0\0\x0d\x02\0\0\0\xe8\x01\0\0\x0f\0\0\0\xec\x01\0\0\x01\0\0\x0c\x17\0\0\
\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xe8\x01\0\0\x0f\0\0\0\x26\x03\0\0\x01\0\0\x0c\
\x19\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xe8\x01\0\0\x0f\0\0\0\x42\x03\0\0\x01\
\0\0\x0c\x1b\0\0\0\x96\x03\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\xa2\x03\0\0\x01\0\
\0\x0f\0\0\0\0\x1d\0\0\0\0\0\0\0\x04\0\0\0\xa7\x03\0\0\x01\0\0\x0f\0\0\0\0\x0e\
\0\0\0\0\0\0\0\x18\0\0\0\xad\x03\0\0\0\0\0\x07\0\0\0\0\xbb\x03\0\0\0\0\0\x07\0\
\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x5f\x6b\x65\x79\0\x63\x67\x72\x6f\x75\x70\x5f\x69\x6e\x6f\x64\
\x65\x5f\x69\x64\0\x61\x74\x74\x61\x63\x68\x5f\x74\x79\x70\x65\0\x5f\x5f\x75\
\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x76\x61\x6c\x75\x65\0\x65\x67\
\x72\x65\x73\x73\x5f\x70\x6b\x74\x73\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x70\x6b\
\x74\x73\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x63\x67\x72\
\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\
\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\
\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\
\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\
\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\
\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\
\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\
\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\
\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\
\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\
\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\
\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\
\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\
\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\
\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x73\x6b\0\x73\x6b\x62\0\x65\x67\x72\x65\x73\x73\x31\0\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\x65\x73\x73\x2f\x31\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\x35\x2e\x65\x6c\
\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\x35\x2e\
\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x63\x67\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x69\x73\x6f\x6c\x61\x74\x65\x64\x2e\x63\0\x09\x09\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\
\x28\x26\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x2c\x20\x30\
\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\
\x5f\x61\x64\x64\x28\x26\x70\x74\x72\x5f\x63\x67\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x2d\x3e\x65\x67\x72\x65\x73\x73\x5f\x70\x6b\x74\x73\x2c\x20\x31\x29\x3b\0\
\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\
\x64\x64\x28\x26\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\x2c\x20\x31\x29\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x31\x3b\0\x65\x67\x72\x65\x73\x73\x32\0\
\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\x65\x73\x73\x2f\x32\0\
\x69\x6e\x67\x72\x65\x73\x73\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\
\x6e\x67\x72\x65\x73\x73\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\
\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x70\x74\x72\x5f\x63\x67\x5f\x73\x74\
\x6f\x72\x61\x67\x65\x2d\x3e\x69\x6e\x67\x72\x65\x73\x73\x5f\x70\x6b\x74\x73\
\x2c\x20\x31\x29\x3b\0\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\0\x2e\x62\
\x73\x73\0\x2e\x6d\x61\x70\x73\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x34\0\0\0\x34\0\0\0\xdc\0\0\0\x10\x01\0\0\0\0\0\0\x08\0\0\0\xf4\x01\0\0\x01\0\
\0\0\0\0\0\0\x18\0\0\0\x2e\x03\0\0\x01\0\0\0\0\0\0\0\x1a\0\0\0\x4a\x03\0\0\x01\
\0\0\0\0\0\0\0\x1c\0\0\0\x10\0\0\0\xf4\x01\0\0\x04\0\0\0\0\0\0\0\x08\x02\0\0\
\x8e\x02\0\0\x03\x6c\0\0\x20\0\0\0\x08\x02\0\0\xbb\x02\0\0\x02\x74\0\0\x30\0\0\
\0\x08\x02\0\0\xf3\x02\0\0\x02\x78\0\0\x50\0\0\0\x08\x02\0\0\x1b\x03\0\0\x02\
\x80\0\0\x2e\x03\0\0\x04\0\0\0\0\0\0\0\x08\x02\0\0\x8e\x02\0\0\x03\x9c\0\0\x20\
\0\0\0\x08\x02\0\0\xbb\x02\0\0\x02\xa4\0\0\x30\0\0\0\x08\x02\0\0\xf3\x02\0\0\
\x02\xa8\0\0\x50\0\0\0\x08\x02\0\0\x1b\x03\0\0\x02\xb0\0\0\x4a\x03\0\0\x04\0\0\
\0\0\0\0\0\x08\x02\0\0\x8e\x02\0\0\x03\xcc\0\0\x20\0\0\0\x08\x02\0\0\x5d\x03\0\
\0\x02\xd4\0\0\x30\0\0\0\x08\x02\0\0\xf3\x02\0\0\x02\xd8\0\0\x50\0\0\0\x08\x02\
\0\0\x1b\x03\0\0\x02\xe0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\
\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\
\x1c\0\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\
\0\x54\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\x01\0\0\x04\
\0\x25\x01\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x2f\
\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\
\x65\x72\x69\x63\0\x70\x72\x6f\x67\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\x35\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\x35\x2e\x65\x6c\x38\x2e\x78\
\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\
\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\
\x68\0\x01\0\0\x63\x67\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x69\x73\x6f\x6c\x61\x74\x65\x64\x2e\x63\0\x02\0\0\x69\x6e\x63\x6c\x75\x64\
\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\x03\
\0\0\x63\x67\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6d\x75\x6c\x74\x69\x2e\x68\0\
\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\
\x04\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\
\x78\x2f\x74\x79\x70\x65\x73\x2e\x68\0\x03\0\0\0\x04\x02\0\x09\x02\0\0\0\0\0\0\
\0\0\x03\x18\x01\x05\x03\x0a\x14\x05\x02\x4c\x2f\x4c\x02\x02\0\x01\x01\x04\x02\
\0\x09\x02\0\0\0\0\0\0\0\0\x03\x24\x01\x05\x03\x0a\x14\x05\x02\x4c\x2f\x4c\x02\
\x02\0\x01\x01\x04\x02\0\x09\x02\0\0\0\0\0\0\0\0\x03\x30\x01\x05\x03\x0a\x14\
\x05\x02\x4c\x2f\x4c\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb9\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9b\0\0\0\x11\0\x0a\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x0e\x01\0\0\x12\0\x03\
\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\xee\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x60\
\0\0\0\0\0\0\0\x31\0\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x44\0\0\
\0\x11\0\x09\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x05\
\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\
\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\
\x30\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\
\x3b\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x6e\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\x37\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x5e\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\
\x2f\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x63\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\x97\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\
\x08\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x18\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\x28\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xc4\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\xdc\x03\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x3c\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x4c\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\xa8\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\x20\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\
\x38\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\x34\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x52\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\
\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\
\x69\x6e\x67\x72\x65\x73\x73\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x69\x6e\
\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\
\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x72\x65\x6c\x2e\
\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\
\x72\x61\x6d\x65\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x63\x67\x5f\x73\x74\
\x6f\x72\x61\x67\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x69\x73\x6f\x6c\x61\x74\x65\
\x64\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\
\x72\x65\x6c\x2e\x42\x54\x46\0\x65\x67\x72\x65\x73\x73\x32\0\x2e\x72\x65\x6c\
\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\x65\x73\x73\x2f\x32\0\
\x65\x67\x72\x65\x73\x73\x31\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\
\x6b\x62\x2f\x65\x67\x72\x65\x73\x73\x2f\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\x1c\0\0\0\0\0\0\x2e\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x01\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x60\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x01\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x19\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x1b\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xfa\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf6\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x88\x19\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x1b\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x22\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x19\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x1b\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x39\
\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xae\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\x99\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc8\x19\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1b\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\
\x02\0\0\0\0\0\0\x3b\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x71\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\x03\0\0\0\0\0\
\0\xca\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\0\
\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x19\0\0\0\0\0\0\x50\0\0\0\0\
\0\0\0\x1b\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x54\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x09\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x48\x1a\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x1b\0\0\0\x10\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x62\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x56\x09\0\0\0\0\0\0\x30\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\xe9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x86\x0d\0\0\0\0\0\0\xc0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe5\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x1a\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x1b\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\x15\0\0\0\0\0\0\x30\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x1a\0\0\0\0\0\0\xf0\0\0\0\0\0\0\
\0\x1b\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x91\0\0\0\x01\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x16\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb8\x1b\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1b\0\0\0\x17\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x81\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe8\x16\0\0\0\0\0\0\x89\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\
\x1b\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1b\0\0\0\x19\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xdd\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x18\0\0\0\
\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __CG_STORAGE_MULTI_ISOLATED_SKEL_H__ */
